Name:		kaffeine
Version:	2.0.19
Release:	%mkrel 2
Summary:	Media Player for Plasma
Group:		Graphical desktop/KDE
License:	GPLv2+
Url:		https://apps.kde.org/kaffeine/
#Source0:	https://download.kde.org/stable/kaffeine/%%{name}-%%{version}.tar.xz
Source0:	%{name}-v%{version}.tar.gz
BuildRequires:	pkgconfig(libdvbv5)
BuildRequires:	pkgconfig(libvlc)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xscrnsaver)

BuildRequires:	kf5-rpm-macros
BuildRequires:	cmake(KF5CoreAddons)
BuildRequires:	cmake(KF5DBusAddons)
BuildRequires:	cmake(KF5DocTools)
BuildRequires:	cmake(KF5I18n)
BuildRequires:	cmake(KF5IconThemes)
BuildRequires:	cmake(KF5IdleTime)
BuildRequires:	cmake(KF5KIO)
BuildRequires:	cmake(KF5Notifications)
BuildRequires:	cmake(KF5Solid)
BuildRequires:	cmake(KF5WidgetsAddons)
BuildRequires:	cmake(KF5XmlGui)

BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Sql)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5X11Extras)
BuildRequires:	pkgconfig(phonon4qt5)

Requires:	qt5-database-plugin-sqlite
Requires:	vlc-plugin-common
Recommends:	%{name}-handbook

%description
Kaffeine is a Plasma Multi Engine Media Player.
What makes it different from the others is its excellent support of
digital TV (DVB). Kaffeine has user-friendly interface, so that even
first time users can start immediately playing their movies: from DVD
(including DVD menus, titles, chapters, etc.), VCD, or a file.

%files -f %{name}.lang
%{_kf5_bindir}/kaffeine
%{_kf5_datadir}/%{name}/
%{_kf5_datadir}/solid/actions/*.desktop
%{_kf5_iconsdir}/*/*/*/*
%{_kf5_applicationsdir}/org.kde.%{name}.desktop
%{_kf5_metainfodir}/org.kde.%{name}.appdata.xml
%{_kf5_mandir}/man1/%{name}.1.*

#--------------------------------------------------------------------

%package	handbook
Summary:	Kaffeine Handbook
Group:		Documentation
BuildArch:	noarch
Requires:	%{name} >= %{version}-%{release}

%description	handbook
This package provides Kaffeine handbook.

%files handbook
%{_kf5_docdir}/HTML/*/kaffeine/

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{name}-v%{version}

%build
%cmake_kf5

%cmake_build

%install
%cmake_install

%find_lang %{name} --with-man


%changelog
* Mon Jun 30 2025 umeabot <umeabot> 2.0.19-2.mga10
+ Revision: 2229829
- Mageia 10 Mass Rebuild

* Thu Nov 07 2024 daviddavid <daviddavid> 2.0.19-1.mga10
+ Revision: 2112829
- new version: 2.0.19

* Wed Apr 06 2022 umeabot <umeabot> 2.0.18-5.mga9
+ Revision: 1846008
- Mageia 9 Mass Rebuild

* Thu Dec 17 2020 umeabot <umeabot> 2.0.18-4.mga8
+ Revision: 1658620
- Rebuild for new Qt5

* Thu May 28 2020 daviddavid <daviddavid> 2.0.18-3.mga8
+ Revision: 1588466
- switch appdata file to kf5_metainfo dir

* Sat Feb 15 2020 umeabot <umeabot> 2.0.18-2.mga8
+ Revision: 1526295
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Wed May 15 2019 daviddavid <daviddavid> 2.0.18-1.mga7
+ Revision: 1397799
- new version: 2.0.18

* Thu May 02 2019 daviddavid <daviddavid> 2.0.17-1.mga7
+ Revision: 1396099
- new version: 2.0.17

* Sat Mar 30 2019 umeabot <umeabot> 2.0.16-2.mga7
+ Revision: 1381982
- Qt5 Rebuild

* Tue Jan 15 2019 daviddavid <daviddavid> 2.0.16-1.mga7
+ Revision: 1357197
- new version: 2.0.16

* Sun Sep 23 2018 umeabot <umeabot> 2.0.15-3.mga7
+ Revision: 1298420
- Mageia 7 Mass Rebuild

* Sun Jul 01 2018 daviddavid <daviddavid> 2.0.15-2.mga7
+ Revision: 1241071
- add upstream patch to fix build with new Qt5 >= 5.11.0

* Sun May 06 2018 daviddavid <daviddavid> 2.0.15-1.mga7
+ Revision: 1226822
- new version: 2.0.15

* Sun Dec 03 2017 daviddavid <daviddavid> 2.0.14-1.mga7
+ Revision: 1180775
- new version: 2.0.14

* Mon Oct 02 2017 zezinho <zezinho> 2.0.13-2.mga7
+ Revision: 1163600
- kaffeine fails to play videos without vlc-plugin-common

* Sun Sep 17 2017 daviddavid <daviddavid> 2.0.13-1.mga7
+ Revision: 1154931
- new version: 2.0.13

* Sat Jul 22 2017 daviddavid <daviddavid> 2.0.12-1.mga7
+ Revision: 1127797
- new version: 2.0.12

* Sun Jul 02 2017 daviddavid <daviddavid> 2.0.10-1.mga6
+ Revision: 1108916
- new version: 2.0.10

* Sun Mar 12 2017 daviddavid <daviddavid> 2.0.9-1.mga6
+ Revision: 1092157
- new version: 2.0.9

* Wed Feb 22 2017 daviddavid <daviddavid> 2.0.6-1.mga6
+ Revision: 1087371
- new version: 2.0.6

* Fri Oct 07 2016 daviddavid <daviddavid> 2.0.5-1.mga6
+ Revision: 1059315
- new version: 2.0.5

* Sun Jul 03 2016 daviddavid <daviddavid> 2.0.4-1.mga6
+ Revision: 1038553
- new version: 2.0.4
- add subpackage kaffeine-handbook

* Thu Jun 16 2016 daviddavid <daviddavid> 2.0.3-1.mga6
+ Revision: 1021726
- new version: 2.0.3

* Wed Jun 08 2016 daviddavid <daviddavid> 2.0.2-1.mga6
+ Revision: 1020874
- new version: 2.0.2
- remove merged upstream patches
- add BR KF5DocTools

* Tue Jun 07 2016 daviddavid <daviddavid> 2.0.1-2.mga6
+ Revision: 1020565
- add and adapt an upstream patch to fix two issues:
  * https://bugs.kde.org/show_bug.cgi?id=363869
  * https://bugs.kde.org/show_bug.cgi?id=364018

* Mon Jun 06 2016 daviddavid <daviddavid> 2.0.1-1.mga6
+ Revision: 1020351
- new version: 2.0.1
- port to Qt5/Kf5
- update URL and Source URL
- update description and summary

* Thu Mar 31 2016 daviddavid <daviddavid> 1.3.1-1.mga6
+ Revision: 997099
- new version: 1.3.1 (fixes mga#18039)
- rename and rediff cmake3.3 patch
- remove dvdepg_cpp_fix patch
- replace xine1.2-devel for pkgconfig(libvlc)

* Thu Mar 31 2016 daviddavid <daviddavid> 1.2.2-8.mga6
+ Revision: 997090
- add patch1 to fix build with CMake 3.3 and higher
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Sun Aug 23 2015 cjw <cjw> 1.2.2-7.mga6
+ Revision: 868768
- switch to xine lib 1.2

* Wed Oct 15 2014 umeabot <umeabot> 1.2.2-6.mga5
+ Revision: 740171
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.2-5.mga5
+ Revision: 680917
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.2.2-4.mga4
+ Revision: 506517
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.2.2-3.mga3
+ Revision: 355770
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 03 2012 juancho <juancho> 1.2.2-2.mga3
+ Revision: 325757
- Added patch to fix FTBFS with g++ 4.7 from Fedora.

* Fri May 13 2011 obgr_seneca <obgr_seneca> 1.2.2-1.mga1
+ Revision: 97865
- new version 1.2.2

* Tue Apr 12 2011 ahmad <ahmad> 1.2.1-1.mga1
+ Revision: 84035
- update to 1.2.1

* Tue Apr 05 2011 obgr_seneca <obgr_seneca> 1.2-1.mga1
+ Revision: 80630
- new version 1.2

* Fri Mar 04 2011 obgr_seneca <obgr_seneca> 1.1-1.mga1
+ Revision: 64433
- imported package kaffeine


* Fri Jan 04 2011 Oliver Burger <oliver.bgr@googlemail.com> 1.1-1mdv2010.2
- removed buildroot tag
- fixed utf8 encoding

* Thu Sep 02 2010 Funda Wang <fwang@mandriva.org> 1.1-1mdv2011.0
+ Revision: 575185
- new version 1.1

* Tue Jun 01 2010 Funda Wang <fwang@mandriva.org> 1.0-1mdv2010.1
+ Revision: 546821
- New version 1.0 final

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Add kdebase4-runtime as Requires

* Wed Feb 10 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.0-0.pre3.2mdv2010.1
+ Revision: 503874
- Fix requires

* Mon Feb 08 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.0-0.pre3.1mdv2010.1
+ Revision: 502233
- Fix buildrequires
- Fix file list
- Update to 1.0 pre3

* Sat Oct 17 2009 Funda Wang <fwang@mandriva.org> 1.0-0.pre2.1mdv2010.0
+ Revision: 457999
- New version pre2

* Mon May 25 2009 Funda Wang <fwang@mandriva.org> 1.0-0.pre1.1mdv2010.0
+ Revision: 379494
- define prever

  + Helio Chissini de Castro <helio@mandriva.com>
    - UPdate for current pre-1 release

* Fri Apr 03 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.9.0-0.948775.1mdv2009.1
+ Revision: 363880
- New svn snapshot ( fix issues reported on mdv forum)

* Tue Mar 24 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.9.0-0.944016.1mdv2009.1
+ Revision: 360936
- New snapshot

* Sun Mar 08 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.9.0-0.936837.1mdv2009.1
+ Revision: 352814
- New svn snapshot

* Wed Nov 19 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.9.0-0.846654.2mdv2009.1
+ Revision: 304411
- Obsolete old kde3 packages

* Wed Aug 13 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.9.0-0.846654.1mdv2009.0
+ Revision: 271612
- import kaffeine4

* Thu Nov 30 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.8.3-3mdv2007.0
+ Revision: 88919
- Add  Conflicts

* Wed Nov 29 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.8.3-2mdv2007.1
+ Revision: 88777
- include libkaffeinepart.so in main package (not -devel) #27382

* Mon Nov 27 2006 Laurent Montel <lmontel@mandriva.com> 0.8.3-1mdv2007.1
+ Revision: 87351
- 0.8.3

* Fri Oct 13 2006 Laurent Montel <lmontel@mandriva.com> 0.8.2-1mdv2007.1
+ Revision: 63697
- Add packager tag
- Fix spec file
- 0.8.2

* Sat Sep 09 2006 Laurent Montel <lmontel@mandriva.com> 0.8.1-4mdv2007.0
+ Revision: 60589
- New package (2006-09-08 0.8.1-4mdv)
  Rebuild to generate menu on x86_64

* Wed Aug 09 2006 Laurent Montel <lmontel@mandriva.com> 0.8.1-3mdv2007.0
+ Revision: 54363
- New package (2006/08/08 0.8.1-3mdv)
  Rebuild

* Fri Jul 21 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.8.1-2mdv2007.0
+ Revision: 41680
- Increase release
- Use macro for icons and macros
- Fix translations as reported on club

  + Laurent Montel <lmontel@mandriva.com>
    - import kaffeine-0.8.1-1mdk

* Fri May 06 2005 Laurent MONTEL <lmontel@mandriva.com> 0.6-4
- Rebuild with new gcc

* Tue May 03 2005 Laurent MONTEL <lmontel@mandriva.com> 0.6-3mdk
- Enable debug
- Add patch10: fix mem leak into kaffeine

* Sat Apr 23 2005 Laurent MONTEL <lmontel@mandriva.com> 0.6-2mdk
- Add patch9: fix lirc profiles (thanks Arnaud de Lorbeau to debug it)

* Mon Mar 21 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6-1mdk
- 0.6

* Wed Mar 09 2005 Buchan Milne <bgmilne@linux-mandrake.com> 0.5-6mdk
- fixes from cvs, allow space to unpause (p7), fix position bar with dvd (p8)
- use mkrel

* Mon Feb 21 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.5-5mdk
- Add patch6: fix kaffeine servicemenu french translation 
	gave by Pascal Billery-Schneider <Pascal.Billery-Schneider@bluewin.ch>

* Tue Feb 15 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.5-4mdk
- Add patch5: add multimedia shortcut

* Mon Feb 07 2005 Götz Waschk <waschk@linux-mandrake.com> 0.5-3mdk
- enable workaround for xorg

* Tue Dec 28 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.5-2mdk
- Fix spec file
- Fix Url 
- Changes into this release:
	- positions slider uses full available width
	- count-down timer and timer OSD
	- clear playlist if URL dropped into video window or passed by command line (Konqueror|Open With...)
	- possibility to shutoff monitor and/or quit after playback
	- pause video playback after minimizing/closing window
	- when a subtitle file is opened or dropped a dialog box ask for the movie it belongs to
	- lot of new DCOP functions
	- fixed garbage characters in titles
	- fixed crash after changing audio driver
	- fixed (un)muting arts-driver
	- fixed seeking in paused mode
	- fixed drag&drop problems with non-unicode locale
	- fixed compiler warnings

* Tue Dec 28 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.5-1mdk
- 0.5

* Tue Dec 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.5-0.rc2.2mdk
- Add patch4: fix desktop file

* Fri Nov 12 2004 Götz Waschk <waschk@linux-mandrake.com> 0.5-0.rc2.1mdk
- drop patch 4
- rediff patch 3
- fix file list
- drop patches 0,1
- new version

* Tue Nov 02 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.4.3b-10mdk
- fix build on x86_64

* Sat Oct 30 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.4.3b-9mdk
- Add patch4: fix mem leak

* Fri Oct 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.4.3b-8mdk
- Fix load file from web

* Fri Sep 24 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.4.3b-7mdk
- Fix initial preference

* Fri Sep 10 2004 Götz Waschk <waschk@linux-mandrake.com> 0.4.3b-6mdk
- fix typo in French translation

* Tue Sep 07 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.4.3b-5mdk
- Add InitialPreference

* Sat Jul 24 2004 Götz Waschk <waschk@linux-mandrake.com> 0.4.3b-4mdk
- add m3u to the file filter (bug #10391)

* Fri Jul 23 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.4.3b-3mdk
-

* Tue Jun 08 2004 Götz Waschk <waschk@linux-mandrake.com> 0.4.3b-2mdk
- rebuild for new g++

* Fri May 14 2004 Götz Waschk <waschk@linux-mandrake.com> 0.4.3b-1mdk
- remove the mozilla plugin
- New release 0.4.3b

* Wed May 05 2004 Götz Waschk <waschk@linux-mandrake.com> 0.4.3-2mdk
- remove conflicting file (bug #9679)

* Tue May 04 2004 Götz Waschk <waschk@linux-mandrake.com> 0.4.3-1mdk
- add man pages
- fix source URL
- new version

* Sat Apr 03 2004 Götz Waschk <waschk@linux-mandrake.com> 0.4.2-1mdk
- update file list
- new version

* Mon Feb 09 2004 Götz Waschk <waschk@linux-mandrake.com> 0.4.1-3mdk
- fix stupid typo, really fixing the conflict with kmplayer

* Sat Feb 07 2004 Götz Waschk <waschk@linux-mandrake.com> 0.4.1-2mdk
- fix directory ownership
- fix conflict with kmplayer

* Sat Jan 17 2004 Götz Waschk <waschk@linux-mandrake.com> 0.4.1-1mdk
- fix file list
- fix installation
- remove docs patch
- new version

